%define api		2
%define major		13
%define girmajor	2.0

%define libname 	%mklibname gladeui %{api} %{major}
%define libnamedev	%mklibname -d gladeui %{api}
%define girname		%mklibname gladeui-gir %{girmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary: 	GTK+ / GNOME 3 widget builder
Name: 		glade
Epoch:		1
Version: 	3.40.0
Release:	%mkrel 4
License: 	GPLv2+
Group: 		Development/GNOME and GTK+
Url: 		https://glade.gnome.org/
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		fix-build-with-webkit2gtk-4.1.diff 

BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.8.0
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1) >= 2.12.0
BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	gettext
BuildRequires:	meson

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools. In particular libglade can
load the XML files and create the interfaces at runtime.

Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.

%package -n %{libname}
Summary:	Libraries required for %{name}
Group:		System/Libraries
Provides:	libgladeui = %{epoch}:%{version}-%{release}

%description -n %{libname}
Libraries and file require to run program built with %{name}

%package -n %{libnamedev}
Summary:	Development libraries and include files for libgladeui (%{name})
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{girname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libgladeui%{major}-devel = %{epoch}:%{version}-%{release}

%description -n %{libnamedev}
Development libraries, headers files and documentation needed in order
to develop applications using libgladeui (%{name}).

%package -n %{girname}
Summary:        GObject Introspection interface description for libgladeui (%{name})
Group:          System/Libraries
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for libgladeui (%{name}).

%prep
%autosetup -p1

%build
export PYTHON=python3

%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GUIDesigner" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc AUTHORS NEWS TODO README.md
%{_bindir}/%{name}*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/modules/
%{_libdir}/%{name}/modules/libgladepython.so
%{_libdir}/%{name}/modules/libgladegjs.so
%{_libdir}/%{name}/modules/libgladegtk.so
%{_libdir}/%{name}/modules/libgladewebkit2gtk.so
%{_datadir}/%{name}/
%{_metainfodir}/org.gnome.Glade.appdata.xml
%{_mandir}/man1/*
%{_datadir}/applications/org.gnome.Glade.desktop
%{_datadir}/icons/hicolor/*/apps/glade*
%{_datadir}/icons/hicolor/*/apps/org.gnome.Glade*
%{_datadir}/gettext/its/glade-catalog.*

%files -n %{libname}
%{_libdir}/libgladeui-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gladeui-%{girmajor}.typelib

%files -n %{libnamedev}
%doc README.md
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/libgladeui-2.0/
%{_libdir}/pkgconfig/gladeui-2.0.pc
%{_libdir}/libgladeui-%{api}.so
%{_datadir}/gir-1.0/Gladeui-%{girmajor}.gir


%changelog
* Mon Mar 03 2025 papoteur <papoteur> 1:3.40.0-4.mga10
+ Revision: 2159398
- rebuild for python3.13

* Mon Mar 03 2025 papoteur <papoteur> 1:3.40.0-3.mga10
+ Revision: 2159364
- rebuild for python3.13

* Thu Dec 28 2023 tv <tv> 1:3.40.0-2.mga10
+ Revision: 2023242
- Rebuild for python-3.12

* Mon Sep 19 2022 tv <tv> 1:3.40.0-1.mga9
+ Revision: 1890221
- Adjust BR for webkit2gtk-4.1
- Update to 3.40.0

* Mon Jul 11 2022 tv <tv> 1:3.38.2-5.mga9
+ Revision: 1868522
- Fix build with meson 0.61+

* Sat Apr 02 2022 umeabot <umeabot> 1:3.38.2-4.mga9
+ Revision: 1840578
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1:3.38.2-3.mga9
+ Revision: 1773514
- Rebuild for python-3.10

* Sat Mar 20 2021 tv <tv> 1:3.38.2-2.mga9
+ Revision: 1705563
- rebuild for python-3.9.2

* Fri Nov 20 2020 ovitters <ovitters> 1:3.38.2-1.mga8
+ Revision: 1648026
- new version 3.38.2

* Sun Oct 04 2020 ovitters <ovitters> 1:3.38.1-1.mga8
+ Revision: 1632219
- new version 3.38.1

* Sun Sep 13 2020 ovitters <ovitters> 1:3.38.0-1.mga8
+ Revision: 1625555
- new version 3.38.0
- new version 3.37.0

* Thu May 07 2020 daviddavid <daviddavid> 1:3.36.0-1.mga8
+ Revision: 1581406
- new version 3.36.0
- now libmajor is 12
- enable webkit2gtk support

* Wed Feb 26 2020 ovitters <ovitters> 1:3.22.2-1.mga8
+ Revision: 1550567
- new version 3.22.2

* Sun Feb 16 2020 umeabot <umeabot> 1:3.22.1-5.mga8
+ Revision: 1531009
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 08 2019 wally <wally> 1:3.22.1-4.mga8
+ Revision: 1438448
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 1:3.22.1-3.mga8
+ Revision: 1435568
- switch to python3

* Sun Sep 23 2018 umeabot <umeabot> 1:3.22.1-2.mga7
+ Revision: 1297904
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 ovitters <ovitters> 1:3.22.1-1.mga7
+ Revision: 1214814
- new version 3.22.1

* Mon Mar 12 2018 ovitters <ovitters> 1:3.22.0-1.mga7
+ Revision: 1208648
- new version 3.22.0

* Sun Jan 07 2018 daviddavid <daviddavid> 1:3.21.0-1.mga7
+ Revision: 1191148
- new version: 3.21.0

* Sat Dec 16 2017 ovitters <ovitters> 1:3.20.2-1.mga7
+ Revision: 1182950
- new version 3.20.2

* Mon Oct 02 2017 ovitters <ovitters> 1:3.20.1-1.mga7
+ Revision: 1162443
- new version 3.20.1

* Sun Apr 10 2016 tv <tv> 1:3.20.0-1.mga6
+ Revision: 999984
- new release

* Thu Feb 11 2016 umeabot <umeabot> 1:3.19.0-3.mga6
+ Revision: 954080
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 1:3.19.0-2.mga6
+ Revision: 847384
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 1:3.19.0-1.mga6
+ Revision: 838596
- new version 3.19.0

* Wed Oct 15 2014 umeabot <umeabot> 1:3.18.3-4.mga5
+ Revision: 742891
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 1:3.18.3-3.mga5
+ Revision: 731141
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 1:3.18.3-2.mga5
+ Revision: 679608
- Mageia 5 Mass Rebuild

* Mon May 12 2014 ovitters <ovitters> 1:3.18.3-1.mga5
+ Revision: 622261
- new version 3.18.3

* Tue Apr 15 2014 ovitters <ovitters> 1:3.18.2-1.mga5
+ Revision: 614546
- new version 3.18.2

* Wed Mar 26 2014 ovitters <ovitters> 1:3.18.1-1.mga5
+ Revision: 608872
- new version 3.18.1
- new version 3.18.0

* Fri Feb 07 2014 fwang <fwang> 1:3.16.1-1.mga5
+ Revision: 585064
- fix linkage
+ ovitters <ovitters>
- new version 3.16.1

* Mon Oct 21 2013 umeabot <umeabot> 1:3.16.0-2.mga4
+ Revision: 536921
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 fwang <fwang> 1:3.16.0-1.mga4
+ Revision: 485870
- update file list
+ ovitters <ovitters>
- new version 3.16.0

* Mon Sep 16 2013 ovitters <ovitters> 1:3.15.4-1.mga4
+ Revision: 480433
- new version 3.15.4
+ fwang <fwang>
- bump req

* Tue Sep 03 2013 fwang <fwang> 1:3.15.3-1.mga4
+ Revision: 474569
- update file list
- update libmajor
+ ovitters <ovitters>
- new version 3.15.3

* Fri Jul 26 2013 dams <dams> 1:3.15.2-1.mga4
+ Revision: 458218
- new version 3.15.2

* Sat Jan 12 2013 umeabot <umeabot> 1:3.14.2-2.mga3
+ Revision: 351690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 ovitters <ovitters> 1:3.14.2-1.mga3
+ Revision: 322139
- new version 3.14.2

* Mon Oct 15 2012 fwang <fwang> 1:3.14.1-1.mga3
+ Revision: 305975
- new version 3.14.1

* Wed Sep 19 2012 fwang <fwang> 1:3.14.0-1.mga3
+ Revision: 296251
- bump libmajor
- bump req on gtk
- br itstool
+ ovitters <ovitters>
- new version 3.14.0

* Wed Jun 27 2012 ovitters <ovitters> 1:3.13.0-1.mga3
+ Revision: 264536
- new version 3.13.0

* Sun May 06 2012 ovitters <ovitters> 1:3.12.1-1.mga3
+ Revision: 234845
- new version 3.12.1

* Mon Mar 26 2012 ovitters <ovitters> 1:3.12.0-1.mga2
+ Revision: 226990
- new version 3.12.0

* Tue Feb 14 2012 fwang <fwang> 1:3.11.0-2.mga2
+ Revision: 208783
- pygtk2 is not neede anymore

* Tue Feb 14 2012 wally <wally> 1:3.11.0-1.mga2
+ Revision: 208736
- new version 3.11.0

* Wed Oct 12 2011 fwang <fwang> 1:3.10.2-1.mga2
+ Revision: 154013
- add br
- new version 3.10.2
+ wally <wally>
- fix devel package provides

* Thu Jul 14 2011 wally <wally> 1:3.10.0-1.mga2
+ Revision: 124021
- new version 3.10.0 (parallel installable with previous versions
  which depends on GTK+2)
- rename to glade
- new major 0
- new api 2
- create a subpackage for gir .typelib

* Wed Apr 20 2011 pterjan <pterjan> 1:3.8.0-1.mga1
+ Revision: 89215
- Update to 3.8.0
- Sync with mdv

* Sun Jan 23 2011 pterjan <pterjan> 1:3.7.3-1.mga1
+ Revision: 35363
- Drop old stuff
- imported package glade3

